### Copyright (C) 2006-2007 Manuel Ospina <mospina@redhat.com>

# This file is part of miaow.
#
# miaow is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# miaow is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with miaow; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

"""
miaow's configuration variables and functions.

Define paths to files, directories and databases.
"""

import sys
import os, os.path

DATADIR = os.path.join(sys.prefix, "share")
MIAOW_DATADIR = os.path.join(DATADIR, "miaow")
MIAOW_RF = os.path.join(MIAOW_DATADIR, "miaow.rf")

HOME = os.path.expanduser("~")
MIAOW_LOCALDIR = os.path.join(HOME, ".miaow")

def create_localdir():
    """Create MIAOW_LOCALDIR if this doesn't exist."""
    if not os.path.isdir(MIAOW_LOCALDIR):
        os.makedirs(MIAOW_LOCALDIR)

# [TODO]
# * Create class to read miaow.rf
# * Define local configuration setup.
# * Create class to handle local configuration.
#.
